Ubuntu16.04.03: POWER9 XIVE: msgsnd/doorbell IPI support (backport)

Bug #1691973 reported by bugproxy on 2017-05-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
Undecided
Canonical Kernel Team
linux (Ubuntu)
Undecided
Ubuntu on IBM Power Systems Bug Triage
Zesty
Undecided
Unassigned

Bug Description

== Comment: #0 - Mauricio Faria De Oliveira <email address hidden> - 2017-05-17 09:22:57 ==
Backport request for 16.04.3 HWE (via 17.04).

Commit list:

6b3edefefa67 powerpc/powernv: POWER9 support for msgsnd/doorbell IPI
a5adf282461f powerpc/64s: Avoid a branch for ppc_msgsnd
b87ac0218355 powerpc: Introduce msgsnd/doorbell barrier primitives
b866cc2199d6 powerpc: Change the doorbell IPI calling convention
9b7ff0c6586b powerpc/64s: Add SCV FSCR bit for ISA v3.0
794464f4dea0 powerpc/64s: Add msgp facility unavailable log string

Contacts (in CC list):
- Breno Leitao <email address hidden>

== Comment: #1 - Mauricio Faria De Oliveira <email address hidden> - 2017-05-17 09:25:16 ==
Gustavo has been working on this request, and has identified other commits required.

He has a working patched kernel and is performing stress test for validating it before submission.

== Comment: #2 - Gustavo Luiz Ferreira Walbon <email address hidden> - 2017-05-18 15:48:52 ==
I will submit a patch set in the kernel-team mailing list.

bugproxy (bugproxy) on 2017-05-19
tags: added: architecture-ppc64le bugnameltc-154777 severity-medium targetmilestone-inin16043
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (frank-heimes) wrote :

If you have submitted the patch to the kernel-team mailing list please add a link to that here.

Changed in ubuntu-power-systems:
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
tags: added: kernel-da-key
Changed in ubuntu-power-systems:
status: New → Fix Committed
Changed in ubuntu-power-systems:
status: Fix Committed → In Progress

------- Comment From <email address hidden> 2017-05-23 12:46 EDT-------
Beyond those six patches to add XIVE there were others six patches to complete the XIVE feature and one patch to fix a boot crash when starts kernel image, this last one is "powerpc/powernv: Fix oops on P9 DD1 in cause_ipi()"

Commit list:

45b21cfeb220 powerpc/powernv: Fix oops on P9 DD1 in cause_ipi()
a978e13965a4 powerpc/smp: Remove migrate_irq() custom implementation
14d4ae5c4cb8 powerpc: Add optional smp_ops->prepare_cpu SMP callback
22bd64a621cc powerpc: Add more PPC bit conversion macros
eeea1a434dde powerpc/powernv: Add XIVE related definitions to opal-api.h
6b3edefefa67 powerpc/powernv: POWER9 support for msgsnd/doorbell IPI
a5adf282461f powerpc/64s: Avoid a branch for ppc_msgsnd
b87ac0218355 powerpc: Introduce msgsnd/doorbell barrier primitives
b866cc2199d6 powerpc: Change the doorbell IPI calling convention
243e25112d06 powerpc/xive: Native exploitation of the XIVE interrupt controller
5e48dc0aa4d9 powerpc/xmon: Dump memory in CPU endian format
9b7ff0c6586b powerpc/64s: Add SCV FSCR bit for ISA v3.0
794464f4dea0 powerpc/64s: Add msgp facility unavailable log string

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-05-22 12:45 EDT-------
(In reply to comment #7)
> Gustavo,
>
> > If you have submitted the patch to the kernel-team mailing list please add a
> > link to that here.
>
> Can you please post the link to your posting in the kernel-team mailing list
> archive? Thanks!

Yes, I just sent an email and this is the link: https://lists.ubuntu.com/archives/kernel-team/2017-May/084299.html

Seth Forshee (sforshee) on 2017-05-24
Changed in linux (Ubuntu):
status: New → Fix Committed
Changed in linux (Ubuntu Zesty):
status: New → Fix Committed
Changed in ubuntu-power-systems:
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
bugproxy (bugproxy) on 2017-06-16
tags: added: verification-done-zesty
removed: verification-needed-zesty
Launchpad Janitor (janitor) wrote :
Download full text (19.7 KiB)

This bug was fixed in the package linux - 4.10.0-26.30

---------------
linux (4.10.0-26.30) zesty; urgency=low

  * linux: 4.10.0-26.30 -proposed tracker (LP: #1700528)

  * CVE-2017-1000364
    - Revert "UBUNTU: SAUCE: mm: Only expand stack if guard area is hit"
    - Revert "mm: do not collapse stack gap into THP"
    - Revert "mm: enlarge stack guard gap"
    - mm: larger stack guard gap, between vmas
    - mm: fix new crash in unmapped_area_topdown()
    - Allow stack to grow up to address space limit

linux (4.10.0-25.29) zesty; urgency=low

  * linux: 4.10.0-25.29 -proposed tracker (LP: #1699028)

  * CVE-2017-1000364
    - SAUCE: mm: Only expand stack if guard area is hit

  * CVE-2017-9074
    - ipv6: Prevent overrun when parsing v6 header options
    - ipv6: Check ip6_find_1stfragopt() return value properly.

  * [Zesty] QDF2400 ARM64 server - NMI watchdog: BUG: soft lockup - CPU#8 stuck
    for 22s! (LP: #1680549)
    - iommu/dma: Stop getting dma_32bit_pfn wrong
    - iommu/dma: Implement PCI allocation optimisation
    - iommu/dma: Convert to address-based allocation
    - iommu/dma: Clean up MSI IOVA allocation
    - iommu/dma: Plumb in the per-CPU IOVA caches
    - iommu/iova: Fix underflow bug in __alloc_and_insert_iova_range

  * Zesty update to 4.10.17 stable release (LP: #1692898)
    - xen: adjust early dom0 p2m handling to xen hypervisor behavior
    - target: Fix compare_and_write_callback handling for non GOOD status
    - target/fileio: Fix zero-length READ and WRITE handling
    - iscsi-target: Set session_fall_back_to_erl0 when forcing reinstatement
    - usb: xhci: bInterval quirk for TI TUSB73x0
    - usb: host: xhci: print correct command ring address
    - USB: serial: ftdi_sio: add device ID for Microsemi/Arrow SF2PLUS Dev Kit
    - USB: Proper handling of Race Condition when two USB class drivers try to
      call init_usb_class simultaneously
    - USB: Revert "cdc-wdm: fix "out-of-sync" due to missing notifications"
    - staging: vt6656: use off stack for in buffer USB transfers.
    - staging: vt6656: use off stack for out buffer USB transfers.
    - staging: gdm724x: gdm_mux: fix use-after-free on module unload
    - staging: wilc1000: Fix problem with wrong vif index
    - staging: comedi: jr3_pci: fix possible null pointer dereference
    - staging: comedi: jr3_pci: cope with jiffies wraparound
    - usb: misc: add missing continue in switch
    - usb: gadget: legacy gadgets are optional
    - usb: Make sure usb/phy/of gets built-in
    - usb: hub: Fix error loop seen after hub communication errors
    - usb: hub: Do not attempt to autosuspend disconnected devices
    - x86/boot: Fix BSS corruption/overwrite bug in early x86 kernel startup
    - selftests/x86/ldt_gdt_32: Work around a glibc sigaction() bug
    - x86, pmem: Fix cache flushing for iovec write < 8 bytes
    - um: Fix PTRACE_POKEUSER on x86_64
    - perf/x86: Fix Broadwell-EP DRAM RAPL events
    - KVM: x86: fix user triggerable warning in kvm_apic_accept_events()
    - KVM: arm/arm64: fix races in kvm_psci_vcpu_on
    - arm64: KVM: Fix decoding of Rt/Rt2 when trapping AArch32 CP accesses
    - block: fix blk_integrity_register to use templ...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
Changed in ubuntu-power-systems:
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers